While the TEC, Advent and Vasari are embroiled in their own struggles for survival a new threat has emerged, intent on spreading it's infectious plague throughout the universe. The sickening ruthlessness in which entire populations are infected or destroyed is alarming to the TEC, Advent and Vasari alike. If the Plague wasn't enough they were immediately followed yet another race calling themselves the Nephilim. The initial encounter with the "Nephilim" held promise they would unite in defeating the Plague. However, Initial attempts at diplomacy have failed as the Nephilim seem single purposed in their pursuit of the Plague.

Report content Sins of the Fallen R4.1 (Diplomacy 1.32)
Filename
Sins_of_the_Fallen_R4.1.7z
Category
Full Version
Uploader
ZombiesRus5
Date
Size
274.79mb (288,134,400 bytes)
Downloads
2,260 (1 today)
MD5 Hash
3187741c2f565dff6196a988c6e7ac31
Embed Button
Embed Widget
Description

Sins of the Fallen for Entrenchment and Diplomacy Introduces two new races Nephilim and Plague to the Sins of a Solar Empire Universe. Sins of the Fallen: Transhumans first installment introduces the Rogue Traders to the Sins of a Solar Empire Universe. Or play both mods together with the Sins of the Fallen Complete bridge mods for Entrenchment and Diplomacy. See the "read more +" for more information.

Preview
Sins of the Fallen R4.1 (Diplomacy 1.32)
Comments
macker8894
macker8894

everytime i try to enable this version i get a minidump message then game crash. so far ive only tried the sotf (D) version. game version 1.32 and downloaded the right version too. is it because i have sins trinity?

Reply Good karma Bad karma+2 votes
ZombiesRus5 Author
ZombiesRus5

Trinity should be fine. My mod is a bit more complicated to activate and will be increasingly so with new releases as I try for a more plug-n-play approach. Did you follow these steps detailed in the How to install document?

Diplomacy/Trinity 1.21 Instructions
Sins of the Fallen

Select SOTF (D) Rx and press "Enable Mod"
Select SOTF (E) Rx and press "Enable Mod"
and then press "Apply Changes"
New features including the Plague and Nephilim races should now be playable.

Reply Good karma+2 votes
SCRINHATER
SCRINHATER

I have the same problem as him, and I -HAVE- followed the steps. I hit "Apply changes" and minidump.

Reply Good karma Bad karma+1 vote
SCRINHATER
SCRINHATER

Fixed it by reinstalling the game and praying to baby jeebus. Kick *** mod by the way, Neph is annoying in my opinion, but I love the Plague. You should team up with Maelstrom team to create a compatibility patch for one another, because in my opinion, they are both really great mods.

Reply Good karma Bad karma+2 votes
ZombiesRus5 Author
ZombiesRus5

Glad you sorted it.

Reply Good karma+1 vote
Yukigo_Kurosaki
Yukigo_Kurosaki

Hey! This version works great, no problems at all. Love the gameplay, find it endlessly entertaining, great for more variety. I just notice one problem. Whenever I research the "Offer Missions" (to other players) and then click on Diplomacy (the relationship and missions hub), the game Minidumps. I wasn't having a problem with this before the mod, so it likely has something to do with the mod. I've got the newest version of the mod and game, any suggestions?

Reply Good karma Bad karma+3 votes
Yukigo_Kurosaki
Yukigo_Kurosaki

Oh, and just to make sure it IS the mod, I'm going to disable the mods and try and duplicate the problem. If everything works right then it's something having to do with the mod. If it doesn't... well then I have some other problem I have to sort out >>

Reply Good karma Bad karma+3 votes
Yukigo_Kurosaki
Yukigo_Kurosaki

Yep, it's definitely those mods. Tried the situation with and without the mods, and it only occured with SotF. I'm not complaining by any means... but the inability to research something, especially something that trees off into other catagories, is crippling.

Reply Good karma Bad karma+3 votes
ZombiesRus5 Author
ZombiesRus5

That is good feedback and very specific. I think I know the issue as a missing quest. I'll take a look and see if I can get a fix ready.

Reply Good karma+3 votes
ZombiesRus5 Author
ZombiesRus5

I posted it as a patch at the same time on moddb, but it takes a while to be authorized. Here's the link again (I deleted the previous comments to reduce multiple links).

Dl.dropbox.com

Reply Good karma+3 votes
Yukigo_Kurosaki
Yukigo_Kurosaki

Thanks for the quick resolution. I'm looking forward to MUCH more from this class of Mod, including the new Races. Looking really snazzy there (can't wait for the Infomorphs in particular, that's gonna be sweet.) Keep coding, my good man.

Reply Good karma Bad karma+1 vote
golong13
golong13

will this work on Sins Trinity..

Reply Good karma Bad karma+1 vote
golong13
golong13

i got trinity 1.00..if theres someone already ask about this..im sorry..

Reply Good karma Bad karma+1 vote
ZombiesRus5 Author
ZombiesRus5

You will need to upgrade via Impulse or Steam to the latest Diplomacy 1.34 version to play this mod.

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Icon
Sins of a Solar Empire: Rebellion
Contact
Send Message
Release date
Mod watch
Start tracking
Download
Browse
Downloads
Share
Related Games
Related Groups